### Method

# Gtk.TreeView.create_row_drag_icon

#### Declaration [src]

    GdkPaintable*
    gtk_tree_view_create_row_drag_icon (
      GtkTreeView* tree_view,
      GtkTreePath* path
    )

#### Description [src]

Creates a #cairo_surface_t representation of the row at `path`. This image is used for a drag icon.

#### Parameters

`path` | `GtkTreePath`
| a `GtkTreePath` in `tree_view`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkPaintable*`
a newly-allocated surface of the drag icon.
Ownership of the data is transferred to the caller
Can be `NULL`